    const words = ['Amazon Sellers','eBay Sellers', 'Etsy Sellers', '+ More!']; 
    let wordIndex = 0; 
    let letterIndex = 0; 
    let currentlyTyping = true; 
    let currentWord = ''; 

    const typewriter = document.getElementById('typewriter');
    const cursor = document.getElementById('cursor');

    const type = () => {
        cursor.style.display = 'inline'; // make sure the cursor is visible while typing

        if (currentlyTyping) {
            if (letterIndex < words[wordIndex].length) {
                currentWord += words[wordIndex][letterIndex];
                letterIndex++;
                typewriter.innerText = currentWord;
                setTimeout(type, 50); // wait 100ms before typing next letter
            } else {
                currentlyTyping = false;
                setTimeout(erase, 1400); // wait a second before starting to erase
            }
        }
    };

    const erase = () => {
        if (letterIndex > 0) {
            currentWord = currentWord.slice(0, -1);
            letterIndex--;
            typewriter.innerText = currentWord;
            setTimeout(erase, 20); // wait 100ms before erasing next letter
        } else {
            currentlyTyping = true;
            wordIndex = (wordIndex + 1) % words.length; // go to next word and loop back to start if at the end
            // cursor.style.display = 'none'; // hide the cursor while waiting to type the next word
            setTimeout(type, 30); // wait two seconds before starting to type the next word
        }
    };

    type(); // start typing